<?php

/*
Plugin Name: Gravatar - The Shelby Edition
Plugin URI: http://www.gravatar.com/implement.php#section_2_2
Description: This plugin allows you to generate a gravatar URL complete with rating, size, default, and border options. See the <a href="http://www.gravatar.com/implement.php#section_2_2">documentation</a> for syntax and usage.
Version: 1.2
Author: Tom Werner, Sren Weber
Author URI: http://www.soeren-weber.net/
*/

function gravatar_url($rating = false, $size = false, $default = false, $border = false) {
	global $comment;
	$out = "http://www.gravatar.com/avatar.php?gravatar_id=".md5($comment->comment_author_email);
	if($rating && $rating != '')
		$out .= "&amp;rating=".$rating;
	if($size && $size != '')
		$out .="&amp;size=".$size;
	if($default && $default != '')
		$out .= "&amp;default=".urlencode($default);
	if($border && $border != '')
		$out .= "&amp;border=".$border;
	return $out;
}

function gravatar_image($comment_author)
{
	if (empty($comment_author))
		$comment_author = 'Anonymous';
	if ($comment_author == 'Anonymous')
		$gravatar_url = get_settings('siteurl').'/wp-content/plugins/gravatar/anonymous.gif';
	else
		$gravatar_url = gravatar_url("",16,get_settings('siteurl').'/wp-content/plugins/gravatar/guest.gif');
	return "<span class='gravatar'><img src='$gravatar_url' alt='$comment_author' /> $comment_author</span>";
}

add_filter('comment_author', 'gravatar_image', 99);

?>